diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-phy-common.h ns-3.44/src/wifi/model/wifi-phy-common.h
--- ns-3.43/src/wifi/model/wifi-phy-common.h	2024-10-09 16:41:10.132656800 -0700
+++ ns-3.44/src/wifi/model/wifi-phy-common.h	2025-03-09 16:55:49.803372600 -0700
@@ -22,8 +22,8 @@
 #include <vector>
 
 /**
- * \file
- * \ingroup wifi
+ * @file
+ * @ingroup wifi
  * Declaration of the following enums:
  * - ns3::WifiPreamble
  * - ns3::WifiModulationClass
@@ -60,12 +60,12 @@
 using WifiSpectrumBands = std::vector<WifiSpectrumBandInfo>;
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * Compare two bands.
  *
- * \param lhs the band on the left of operator<
- * \param rhs the band on the right of operator<
- * \return true if the start/stop frequencies of the first segment of left are lower than the
+ * @param lhs the band on the left of operator<
+ * @param rhs the band on the right of operator<
+ * @return true if the start/stop frequencies of the first segment of left are lower than the
  * start/stop frequencies of the first segment of right. If the first segment is the same for left
  * and right, it return true if the start/stop frequencies of the second segment of left are lower
  * than the start/stop frequencies of the second segment of right. Otherwise, the function return
@@ -82,11 +82,11 @@
 }
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param band the band
- * \returns a reference to the stream
+ * @param os the stream
+ * @param band the band
+ * @returns a reference to the stream
  */
 inline std::ostream&
 operator<<(std::ostream& os, const WifiSpectrumBandInfo& band)
@@ -127,11 +127,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param codeRate the code rate
- * \returns a reference to the stream
+ * @param os the stream
+ * @param codeRate the code rate
+ * @returns a reference to the stream
  */
 inline std::ostream&
 operator<<(std::ostream& os, const WifiCodeRate& codeRate)
@@ -171,7 +171,7 @@
 }
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * The type of preamble to be used by an IEEE 802.11 transmission
  */
 enum WifiPreamble
@@ -193,11 +193,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param preamble the preamble
- * \returns a reference to the stream
+ * @param os the stream
+ * @param preamble the preamble
+ * @returns a reference to the stream
  */
 inline std::ostream&
 operator<<(std::ostream& os, const WifiPreamble& preamble)
@@ -239,7 +239,7 @@
 }
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * This enumeration defines the modulation classes per
  * (Table 10-6 "Modulation classes"; IEEE 802.11-2016, with
  * updated in 802.11ax/D6.0 as Table 10-9).
@@ -264,11 +264,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param modulation the WifiModulationClass
- * \returns a reference to the stream
+ * @param os the stream
+ * @param modulation the WifiModulationClass
+ * @returns a reference to the stream
  */
 inline std::ostream&
 operator<<(std::ostream& os, const WifiModulationClass& modulation)
@@ -306,7 +306,7 @@
 }
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * The type of PPDU field (grouped for convenience)
  */
 enum WifiPpduField
@@ -335,11 +335,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param field the PPDU field
- * \returns a reference to the stream
+ * @param os the stream
+ * @param field the PPDU field
+ * @returns a reference to the stream
  */
 inline std::ostream&
 operator<<(std::ostream& os, const WifiPpduField& field)
@@ -371,7 +371,7 @@
 }
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * The type of PPDU (SU, DL MU, or UL MU)
  */
 enum WifiPpduType
@@ -382,11 +382,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param type the PPDU type
- * \returns a reference to the stream
+ * @param os the stream
+ * @param type the PPDU type
+ * @returns a reference to the stream
  */
 inline std::ostream&
 operator<<(std::ostream& os, const WifiPpduType& type)
@@ -406,7 +406,7 @@
 }
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * Enumeration of the possible reception failure reasons.
  */
 enum WifiPhyRxfailureReason
@@ -439,11 +439,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param reason the failure reason
- * \returns a reference to the stream
+ * @param os the stream
+ * @param reason the failure reason
+ * @returns a reference to the stream
  */
 inline std::ostream&
 operator<<(std::ostream& os, const WifiPhyRxfailureReason& reason)
@@ -506,7 +506,7 @@
 }
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  * Enumeration of the possible channel-list parameter elements
  * defined in Table 8-5 of IEEE 802.11-2016.
  */
@@ -519,11 +519,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param type the wifi channel list type
- * \returns a reference to the stream
+ * @param os the stream
+ * @param type the wifi channel list type
+ * @returns a reference to the stream
  */
 inline std::ostream&
 operator<<(std::ostream& os, WifiChannelListType type)
@@ -545,11 +545,11 @@
 }
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param width the wifi channel width type
- * \returns a reference to the stream
+ * @param os the stream
+ * @param width the wifi channel width type
+ * @returns a reference to the stream
  */
 inline std::ostream&
 operator<<(std::ostream& os, WifiChannelWidthType width)
@@ -583,40 +583,41 @@
 /**
  * Get the guard interval for a given WifiMode.
  *
- * \param mode the WifiMode
- * \param device pointer to the WifiNetDevice object
+ * @param mode the WifiMode
+ * @param device pointer to the WifiNetDevice object
  *
- * \return the guard interval duration to use for the mode
+ * @return the guard interval duration to use for the mode
  */
 Time GetGuardIntervalForMode(WifiMode mode, const Ptr<WifiNetDevice> device);
 
 /**
  * Get the guard interval for a given WifiMode.
  *
- * \param mode the WifiMode
- * \param htShortGuardInterval whether HT/VHT short guard interval is enabled
- * \param heGuardInterval the HE guard interval duration
+ * @param mode the WifiMode
+ * @param htShortGuardInterval whether HT/VHT short guard interval is enabled
+ * @param heGuardInterval the HE guard interval duration
  *
- * \return the guard interval duration to use for the mode
+ * @return the guard interval duration to use for the mode
  */
 Time GetGuardIntervalForMode(WifiMode mode, bool htShortGuardInterval, Time heGuardInterval);
 
 /**
  * Return the preamble to be used for the transmission.
  *
- * \param modulation the modulation selected for the transmission
- * \param useShortPreamble whether short preamble should be used
+ * @param modulation the modulation selected for the transmission
+ * @param useShortPreamble whether short preamble should be used
  *
- * \return the preamble to be used for the transmission
+ * @return the preamble to be used for the transmission
  */
-WifiPreamble GetPreambleForTransmission(WifiModulationClass modulation, bool useShortPreamble);
+WifiPreamble GetPreambleForTransmission(WifiModulationClass modulation,
+                                        bool useShortPreamble = false);
 
 /**
  * Return the modulation class corresponding to the given preamble type.
  * Only preamble types used by HT/VHT/HE/EHT can be passed to this function.
  *
- * \param preamble the given preamble type (must be one defined by HT standard or later)
- * \return the modulation class corresponding to the given preamble type
+ * @param preamble the given preamble type (must be one defined by HT standard or later)
+ * @return the modulation class corresponding to the given preamble type
  */
 WifiModulationClass GetModulationClassForPreamble(WifiPreamble preamble);
 
@@ -624,10 +625,10 @@
  * Return whether the modulation class of the selected mode for the
  * control answer frame is allowed.
  *
- * \param modClassReq modulation class of the request frame
- * \param modClassAnswer modulation class of the answer frame
+ * @param modClassReq modulation class of the request frame
+ * @param modClassAnswer modulation class of the answer frame
  *
- * \return true if the modulation class of the selected mode for the
+ * @return true if the modulation class of the selected mode for the
  * control answer frame is allowed, false otherwise
  */
 bool IsAllowedControlAnswerModulationClass(WifiModulationClass modClassReq,
@@ -638,33 +639,33 @@
  * the PHY layers defining the aPPDUMaxTime characteristic (HT, VHT and HE).
  * Return zero otherwise.
  *
- * \param preamble the preamble type
+ * @param preamble the preamble type
  *
- * \return the maximum PPDU duration, if defined, and zero otherwise
+ * @return the maximum PPDU duration, if defined, and zero otherwise
  */
 Time GetPpduMaxTime(WifiPreamble preamble);
 
 /**
  * Return true if a preamble corresponds to a multi-user transmission.
  *
- * \param preamble the preamble
- * \return true if the provided preamble corresponds to a multi-user transmission
+ * @param preamble the preamble
+ * @return true if the provided preamble corresponds to a multi-user transmission
  */
 bool IsMu(WifiPreamble preamble);
 
 /**
  * Return true if a preamble corresponds to a downlink multi-user transmission.
  *
- * \param preamble the preamble
- * \return true if the provided preamble corresponds to a downlink multi-user transmission
+ * @param preamble the preamble
+ * @return true if the provided preamble corresponds to a downlink multi-user transmission
  */
 bool IsDlMu(WifiPreamble preamble);
 
 /**
  * Return true if a preamble corresponds to a uplink multi-user transmission.
  *
- * \param preamble the preamble
- * \return true if the provided preamble corresponds to a uplink multi-user transmission
+ * @param preamble the preamble
+ * @return true if the provided preamble corresponds to a uplink multi-user transmission
  */
 bool IsUlMu(WifiPreamble preamble);
 
@@ -675,32 +676,32 @@
  * (WIFI_MOD_CLASS_DSSS and WIFI_MOD_CLASS_HR_DSSS); this method will return
  * the latter.
  *
- * \param standard the standard
- * \return the modulation class corresponding to the standard
+ * @param standard the standard
+ * @return the modulation class corresponding to the standard
  */
 WifiModulationClass GetModulationClassForStandard(WifiStandard standard);
 
 /**
  * Get the maximum channel width allowed for the given modulation class.
  *
- * \param modulation the modulation class
- * \return the maximum channel width allowed for the given modulation class
+ * @param modulation the modulation class
+ * @return the maximum channel width allowed for the given modulation class
  */
 MHz_u GetMaximumChannelWidth(WifiModulationClass modulation);
 
 /**
  * Get the total channel width for the channel width type.
  *
- * \param width the channel width type
- * \return the total channel width for the channel width type
+ * @param width the channel width type
+ * @return the total channel width for the channel width type
  */
 MHz_u GetChannelWidthInMhz(WifiChannelWidthType width);
 
 /**
  * Return true if a preamble corresponds to an EHT transmission.
  *
- * \param preamble the preamble
- * \return true if the provided preamble corresponds to an EHT transmission
+ * @param preamble the preamble
+ * @return true if the provided preamble corresponds to an EHT transmission
  */
 bool IsEht(WifiPreamble preamble);
 
